> ## Documentation Index
> Fetch the complete documentation index at: https://api-portal.etoro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the live portfolio of a user



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user-info/people/{username}/portfolio/live
openapi: 3.0.1
info:
  title: eToro Api
  version: v1.206.0
  description: >-
    eToro’s public API provides access to real-time financial data, trading
    insights, and account management features, allowing developers to integrate
    eToro’s services into their applications. With access to market prices,
    historical data, and social trading information, the API empowers users to
    enhance their trading strategies. Designed for security and scalability, the
    eToro API ensures smooth and reliable integration for a variety of financial
    applications.


    For more details on integrating with eToro's public WebSocket service,
    please refer to the dedicated [WebSocket
    documentation](./websocket/websocket-doc.html).
servers:
  - url: https://public-api.etoro.com
    description: eToro Public API
security: []
tags:
  - name: Agent Portfolios
  - name: Watchlists
  - name: Feeds
  - name: Asset Explorer
  - name: Market Data
  - name: Identity
  - name: Notifications
  - name: PI Data
  - name: Comments
  - name: Trading Demo
  - name: Trading Real
  - name: Users Info
  - name: Deprecated
paths:
  /api/v1/user-info/people/{username}/portfolio/live:
    get:
      tags:
        - Users Info
      summary: Get the live portfolio of a user
      operationId: getLivePortfolioUser
      parameters:
        - name: x-request-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            example: 7b34879d-1e41-446b-b165-73420a4343ce
          description: A unique request identifier.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663
          description: API key for authentication.
        - name: x-user-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: >-
              eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_
          description: User-specific authentication key.
        - name: username
          description: The username of the user to retrieve the live portfolio for.
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  realizedCreditPct:
                    type: number
                    format: decimal
                    description: Credit as a percentage of the realized credit
                  unrealizedCreditPct:
                    type: number
                    format: decimal
                    description: Credit as a percentage of the unrealized credit
                  positions:
                    type: array
                    items:
                      type: object
                      properties:
                        positionId:
                          type: integer
                          description: Position ID
                        openTimestamp:
                          type: string
                          format: date-time
                          description: Open Timestamp
                        openRate:
                          type: number
                          format: decimal
                          description: Open Rate
                        instrumentId:
                          type: integer
                          description: Instrument ID
                        isBuy:
                          type: boolean
                          description: Buy/Sell
                        leverage:
                          type: integer
                          description: Leverage
                        takeProfitRate:
                          type: number
                          format: decimal
                          description: Take Profit
                        stopLossRate:
                          type: number
                          format: decimal
                          description: Stop Loss
                        socialTradeId:
                          type: integer
                          description: Mirror ID
                        parentPositionId:
                          type: integer
                          description: Parent Position ID
                        investmentPct:
                          type: number
                          format: decimal
                          description: Realized Investment
                        netProfit:
                          type: number
                          format: decimal
                          description: Profit Percentage
                        trailingStopLoss:
                          type: boolean
                          description: Trailing Stop loss enabled
                  socialTrades:
                    type: array
                    items:
                      type: object
                      properties:
                        socialTradeId:
                          type: integer
                          description: Internal Mirror ID
                        parentUsername:
                          type: string
                          description: Parent Username
                        stopLossPercentage:
                          type: number
                          format: decimal
                          description: Stop Loss
                        openTimestamp:
                          type: string
                          format: date-time
                          description: Opening Timestamp
                        investmentPct:
                          type: number
                          format: decimal
                          description: Investment Pct
                        openInvestmentPct:
                          type: number
                          format: decimal
                          description: Open Trades in Mirror
                        netProfit:
                          type: number
                          format: decimal
                          description: Profit Pct
                        openNetProfit:
                          type: number
                          format: decimal
                          description: Net profit of opened trades
                        closedNetProfit:
                          type: number
                          format: decimal
                          description: Net profit of closed trades
                        realizedPct:
                          type: number
                          format: decimal
                          description: Live Realized percentage
                        unrealizedPct:
                          type: number
                          format: decimal
                          description: Unrealized
                        isClosing:
                          type: boolean
                          description: Pending Close
                        positions:
                          type: array
                          items:
                            type: object
                            properties:
                              positionId:
                                type: integer
                                description: Position ID
                              openTimestamp:
                                type: string
                                format: date-time
                                description: Open Timestamp
                              openRate:
                                type: number
                                format: decimal
                                description: Open Rate
                              instrumentId:
                                type: integer
                                description: Instrument ID
                              isBuy:
                                type: boolean
                                description: Buy/Sell
                              leverage:
                                type: integer
                                description: Leverage
                              takeProfitRate:
                                type: number
                                format: decimal
                                description: Take Profit
                              stopLossRate:
                                type: number
                                format: decimal
                                description: Stop Loss
                              socialTradeId:
                                type: integer
                                description: Mirror ID
                              parentPositionId:
                                type: integer
                                description: Parent Position ID
                              investmentPct:
                                type: number
                                format: decimal
                                description: Realized Investment
                              netProfit:
                                type: number
                                format: decimal
                                description: Profit Percentage
                              trailingStopLoss:
                                type: boolean
                                description: Trailing Stop loss enabled

````